Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154407 - [PATCH] per package arch spec in kickstart %packages broken
Summary: [PATCH] per package arch spec in kickstart %packages broken
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: anaconda
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Anaconda Maintenance Team
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-11 15:15 UTC by David Lehman
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHBA-2005-220
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-09 11:29:54 UTC


Attachments (Terms of Use)
Patch from Issue Tracker ticket (deleted)
2005-04-11 15:15 UTC, David Lehman
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:220 normal SHIPPED_LIVE anaconda bug fix update 2005-06-09 04:00:00 UTC

Description David Lehman 2005-04-11 15:15:45 UTC
Description of problem:
specifying architecture of a given package generates errors saying, eg: package
zlib.i386 does not exist.

Version-Release number of selected component (if applicable):
anaconda-10.1.1.13-1

How reproducible:
Always on multilib systems.

Steps to Reproduce:
1. Specify "Compatibility Arch Support" but not "Compatibility Arch Development
Support" comps in a kickstart config.
2. Explicitly specify a multilib devel package, eg: 'zlib-devel.i386' on x86_64
3. Run the kickstart
  
Actual results:
"You have specified that the "
"package 'zlib-devel.i386' should be installed.  "
"This package does not exist. "
"Would you like to continue or "
"abort your installation?"

Expected results:
Successful installation of i386 zlib-devel package.

Additional info:

Comment 1 David Lehman 2005-04-11 15:15:45 UTC
Created attachment 112949 [details]
Patch from Issue Tracker ticket

Comment 2 Paul Nasrat 2005-04-11 15:28:31 UTC
This is already commited (as of this morning) to the rhel4 branch of anaconda -
is this a candidate for U1 still or U2?

Comment 3 Tim Powers 2005-06-09 11:29:54 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-220.html



Note You need to log in before you can comment on or make changes to this bug.